{% extends 'base.html' %}
{% load static %}
{% load student_tags %}

{% block content %}
<h1 class="heading-1 marg">Obecności na lekcji {{lesson}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
{% if students %}
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Imię</th>
                <th scope="col">Nazwisko</th>
                <th scope="col">Obecność</th>
            </tr>
        </thead>
        <tbody>
            {% for student in students %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{student.user.first_name}}</td>
                <td>{{student.user.last_name}}</td>
                <td>                
                {% if student.user|was_present:lesson %}
                    <img src="{% static 'positive.png' %}">
                {% else %}
                    <img src="{% static 'negative.png' %}">
                {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% else %}
    <p>Ta lekcja nie posiada obecności.</p>
{% endif %}
</div>
{% endblock content %}